## jalv 1.6.4

=== wscript ===
#!/usr/bin/env python

import os
import subprocess

from waflib import Options
from waflib.extras import autowaf as autowaf

# Version of this package (even if built as a child)
JALV_VERSION = '1.6.4'

# Mandatory waf variables
APPNAME = 'jalv'        # Package name for waf dist
VERSION = JALV_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

# Release variables
uri          = 'http://drobilla.net/sw/jalv'
dist_pattern = 'http://download.drobilla.net/jalv-%d.%d.%d.tar.bz2'
post_tags    = ['Hacking', 'LAD', 'LV2', 'Jalv']

def options(ctx):
    ctx.load('compiler_c')
    ctx.load('compiler_cxx')
    ctx.add_flags(
        ctx.configuration_options(),
        {'portaudio':       'use PortAudio backend, not JACK',
         'no-jack-session': 'do not build JACK session support',
         'no-gui':          'do not build any GUIs',
         'no-gtk':          'do not build Gtk GUI',
         'no-gtkmm':        'do not build Gtkmm GUI',
         'no-gtk2':         'do not build Gtk2 GUI',
         'no-gtk3':         'do not build Gtk3 GUI',
         'no-qt':           'do not build Qt GUI',
         'no-qt4':          'do not build Qt4 GUI',
         'no-qt5':          'do not build Qt5 GUI'})

def configure(conf):
    conf.load('compiler_c', cache=True)
    conf.load('compiler_cxx', cache=True)
    conf.load('autowaf', cache=True)
    autowaf.set_c_lang(conf, 'c99')

    conf.check_pkg('lv2 >= 1.16.0', uselib_store='LV2')
    conf.check_pkg('lilv-0 >= 0.24.0', uselib_store='LILV')
    conf.check_pkg('serd-0 >= 0.24.0', uselib_store='SERD')
    conf.check_pkg('sord-0 >= 0.14.0', uselib_store='SORD')
    conf.check_pkg('sratom-0 >= 0.6.0', uselib_store='SRATOM')
    if Options.options.portaudio:
        conf.check_pkg('portaudio-2.0 >= 2.0.0',
                       uselib_store='PORTAUDIO', mandatory=False)
    else:
        conf.check_pkg('jack >= 0.120.0', uselib_store='JACK')

    if not Options.options.no_gui and not Options.options.no_gtk:
        if not Options.options.no_gtk2:
            conf.check_pkg('gtk+-2.0 >= 2.18.0', uselib_store='GTK2',
                           mandatory=False)
        if not Options.options.no_gtkmm:
            conf.check_pkg('gtkmm-2.4 >= 2.20.0', uselib_store='GTKMM2',
                           mandatory=False)
        if not Options.options.no_gtk3:
            conf.check_pkg('gtk+-3.0 >= 3.0.0', uselib_store='GTK3',
                           mandatory=False)

    if not Options.options.no_gui and not Options.options.no_qt:
        if not Options.options.no_qt4:
            conf.check_pkg('QtGui >= 4.0.0', uselib_store='QT4',
                           mandatory=False)
            if conf.env.HAVE_QT4:
                if not conf.find_program('moc-qt4', var='MOC4', mandatory=False):
                    conf.find_program('moc', var='MOC4')

        if not Options.options.no_qt5:
            conf.check_pkg('Qt5Widgets >= 5.1.0', uselib_store='QT5',
                           mandatory=False)
            if conf.env.HAVE_QT5:
                if not conf.find_program('moc-qt5', var='MOC5', mandatory=False):
                    conf.find_program('moc', var='MOC5')

    have_gui = (conf.env.HAVE_GTK2 or conf.env.HAVE_GTKMM2 or conf.env.HAVE_GTK3 or
                conf.env.HAVE_QT4 or conf.env.HAVE_QT5)
    if have_gui:
        conf.check_pkg('suil-0 >= 0.10.0', uselib_store='SUIL')

    if conf.env.HAVE_JACK:
        conf.check_function(
            'c', 'jack_port_type_get_buffer_size',
            header_name = 'jack/jack.h',
            define_name = 'HAVE_JACK_PORT_TYPE_GET_BUFFER_SIZE',
            uselib      = 'JACK',
            mandatory   = False)

        conf.check_function('c', 'jack_set_property',
                            header_name = 'jack/metadata.h',
                            define_name = 'HAVE_JACK_METADATA',
                            uselib      = 'JACK',
                            mandatory   = False)

    defines = ['_POSIX_C_SOURCE=200809L']

    conf.check_function('c', 'isatty',
                        header_name = 'unistd.h',
                        defines     = defines,
                        define_name = 'HAVE_ISATTY',
                        mandatory   = False)

    conf.check_function('c', 'fileno',
                        header_name = 'stdio.h',
                        defines     = defines,
                        define_name = 'HAVE_FILENO',
                        mandatory   = False)

    conf.check_function('c', 'mlock',
                        header_name = 'sys/mman.h',
                        defines     = defines,
                        define_name = 'HAVE_MLOCK',
                        mandatory   = False)

    conf.check_function('c', 'sigaction',
                        header_name = 'signal.h',
                        defines     = defines,
                        define_name = 'HAVE_SIGACTION',
                        mandatory   = False)

    if conf.is_defined('HAVE_ISATTY') and conf.is_defined('HAVE_FILENO'):
        conf.env.append_unique('CFLAGS', ['-D_POSIX_C_SOURCE=200809L'])

    if not Options.options.no_jack_session:
        conf.define('JALV_JACK_SESSION', 1)

    conf.write_config_header('jalv_config.h', remove=False)

    autowaf.display_summary(
        conf,
        {'Backend': 'Jack' if conf.env.HAVE_JACK else 'PortAudio',
         'Jack metadata support': conf.is_defined('HAVE_JACK_METADATA'),
         'Gtk 2.0 support': bool(conf.env.HAVE_GTK2),
         'Gtk 3.0 support': bool(conf.env.HAVE_GTK3),
         'Gtkmm 2.0 support': bool(conf.env.HAVE_GTKMM2),
         'Qt 4.0 support': bool(conf.env.HAVE_QT4),
         'Qt 5.0 support': bool(conf.env.HAVE_QT5),
         'Color output': bool(conf.env.JALV_WITH_COLOR)})

def build(bld):
    libs   = 'LILV SUIL JACK SERD SORD SRATOM LV2 PORTAUDIO'
    source = '''
    src/control.c
    src/jalv.c
    src/log.c
    src/lv2_evbuf.c
    src/state.c
    src/symap.c
    src/worker.c
    src/zix/ring.c
    '''

    if bld.env.HAVE_JACK:
        source += 'src/jack.c'

        # Non-GUI internal JACK client library
        obj = bld(features     = 'c cshlib',
                  source       = source + ' src/jalv_console.c',
                  target       = 'jalv',
                  includes     = ['.', 'src'],
                  lib          = ['pthread'],
                  uselib       = libs,
                  install_path = '${LIBDIR}/jack')
        obj.env.cshlib_PATTERN = '%s.so'
    elif bld.env.HAVE_PORTAUDIO:
        source += 'src/portaudio.c'

    # Non-GUI version
    obj = bld(features     = 'c cprogram',
              source       = source + ' src/jalv_console.c',
              target       = 'jalv',
              includes     = ['.', 'src'],
              lib          = ['pthread'],
              uselib       = libs,
              install_path = '${BINDIR}')

    # Gtk2 version
    if bld.env.HAVE_GTK2:
        obj = bld(features     = 'c cprogram',
                  source       = source + ' src/jalv_gtk.c',
                  target       = 'jalv.gtk',
                  includes     = ['.', 'src'],
                  lib          = ['pthread', 'm'],
                  uselib       = libs + ' GTK2',
                  install_path = '${BINDIR}')

    # Gtk3 version
    if bld.env.HAVE_GTK3:
        obj = bld(features     = 'c cprogram',
                  source       = source + ' src/jalv_gtk.c',
                  target       = 'jalv.gtk3',
                  includes     = ['.', 'src'],
                  lib          = ['pthread', 'm'],
                  uselib       = libs + ' GTK3',
                  install_path = '${BINDIR}')

    # Gtkmm version
    if bld.env.HAVE_GTKMM2:
        obj = bld(features     = 'c cxx cxxprogram',
                  source       = source + ' src/jalv_gtkmm2.cpp',
                  target       = 'jalv.gtkmm',
                  includes     = ['.', 'src'],
                  lib          = ['pthread'],
                  uselib       = libs + ' GTKMM2',
                  install_path = '${BINDIR}')

    # Qt4 version
    if bld.env.HAVE_QT4:
        obj = bld(rule = '${MOC4} ${SRC} > ${TGT}',
                  source = 'src/jalv_qt.cpp',
                  target = 'jalv_qt4_meta.hpp')
        obj = bld(features     = 'c cxx cxxprogram',
                  source       = source + ' src/jalv_qt.cpp',
                  target       = 'jalv.qt4',
                  includes     = ['.', 'src'],
                  lib          = ['pthread'],
                  uselib       = libs + ' QT4',
                  install_path = '${BINDIR}')

    # Qt5 version
    if bld.env.HAVE_QT5:
        obj = bld(rule = '${MOC5} ${SRC} > ${TGT}',
                  source = 'src/jalv_qt.cpp',
                  target = 'jalv_qt5_meta.hpp')
        obj = bld(features     = 'c cxx cxxprogram',
                  source       = source + ' src/jalv_qt.cpp',
                  target       = 'jalv.qt5',
                  includes     = ['.', 'src'],
                  lib          = ['pthread'],
                  uselib       = libs + ' QT5',
                  install_path = '${BINDIR}',
                  cxxflags     = ['-fPIC'])

    # Man pages
    bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))

def lint(ctx):
    "checks code for style issues"
    import subprocess
    cmd = ("clang-tidy -p=. -header-filter=src/ -checks=\"*," +
           "-clang-analyzer-alpha.*," +
           "-google-readability-todo," +
           "-llvm-header-guard," +
           "-llvm-include-order," +
           "-misc-unused-parameters," +
           "-readability-else-after-return\" " +
           "$(find .. -name '*.c')")
    subprocess.call(cmd, cwd='build', shell=True)

def dist(ctx):
    ctx.base_path = ctx.path
    ctx.excl = ctx.get_excl() + ' .gitmodules'

=== debian/changelog ===
jalv (1.6.4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:45 +0100

jalv (1.6.4-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Dennis Braun ]
  * New upstream release
  * d/control:
    + Bump debhelper-compat version to 12
    + Bump standards version to 4.5.0
    + Build with python3 and gtk3 now (Closes: #943141)
    + Update other B-D
  * d/copyright: Update and add myself to the d/ section
  * Drop d/get-svn-source.sh & d/unpack_waf.sh, obsolete
  * Update patchset
  * d/rules: Rewrite to make the waf build work
  * d/watch: Remove opts for now

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 01 Feb 2020 18:54:05 +0100

=== debian/control ===
Source: jalv
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 12),
 libgtk-3-dev,
 libjack-dev,
 liblilv-dev (>= 0.24.0~),
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libserd-dev (>= 0.24.0~),
 libsord-dev  (>= 0.14.0~),
 libsratom-dev (>= 0.6.0),
 libsuil-dev (>= 0.10.0),
 lv2-dev (>= 1.16.0~),
 pkg-config,
 python3
Standards-Version: 4.5.0
Homepage: https://drobilla.net/software/jalv/
Vcs-Git: https://salsa.debian.org/multimedia-team/jalv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jalv

Package: jalv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: tool to run LV2 plugins as stand-alone applications
 jalv is a stand-alone version of lv2jack that supports plugin UIs
 via libsuil. It allows one to run an LV2 plugin as a JACK application.
 .
 This package contains a replacement for the lv2jack utility, which was
 previously provided by the lilv-utils package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export LINKFLAGS += $(LDFLAGS)
export QT_SELECT := qt5
export CC
export PKGCONFIG = $(PKG_CONFIG)

WAF = python3 ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
                --strict \
		--no-gtkmm \
		--no-qt4

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/jalv

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
https://download.drobilla.net/jalv-(.*)\.tar\.bz2

## jalv 1.6.6

=== wscript ===
#!/usr/bin/env python

from waflib import Build, Logs, Options
from waflib.extras import autowaf as autowaf

# Version of this package (even if built as a child)
JALV_VERSION = '1.6.6'

# Mandatory waf variables
APPNAME = 'jalv'        # Package name for waf dist
VERSION = JALV_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

# Release variables
uri          = 'http://drobilla.net/sw/jalv'
dist_pattern = 'http://download.drobilla.net/jalv-%d.%d.%d.tar.bz2'
post_tags    = ['Hacking', 'LAD', 'LV2', 'Jalv']


def options(ctx):
    ctx.load('compiler_c')
    ctx.load('compiler_cxx')
    ctx.add_flags(
        ctx.configuration_options(),
        {'portaudio':       'use PortAudio backend, not JACK',
         'no-gui':          'do not build any GUIs',
         'no-gtk':          'do not build Gtk GUI',
         'no-gtkmm':        'do not build Gtkmm GUI',
         'no-gtk2':         'do not build Gtk2 GUI',
         'no-gtk3':         'do not build Gtk3 GUI',
         'no-qt':           'do not build Qt GUI',
         'no-qt4':          'do not build Qt4 GUI',
         'no-qt5':          'do not build Qt5 GUI'})


def configure(conf):
    conf.load('compiler_c', cache=True)
    conf.load('compiler_cxx', cache=True)
    conf.load('autowaf', cache=True)
    autowaf.set_c_lang(conf, 'c99')

    if Options.options.strict:
        # Check for programs used by lint target
        conf.find_program("flake8", var="FLAKE8", mandatory=False)
        conf.find_program("clang-tidy", var="CLANG_TIDY", mandatory=False)
        conf.find_program("iwyu_tool", var="IWYU_TOOL", mandatory=False)

    if Options.options.ultra_strict:
        autowaf.add_compiler_flags(conf.env, 'c', {
            'clang': [
                '-Wno-bad-function-cast',
                '-Wno-missing-noreturn',
            ],
            'gcc': [
                '-Wno-bad-function-cast',
                '-Wno-c++-compat',
            ],
        })

        autowaf.add_compiler_flags(conf.env, '*', {
            'clang': [
                '-Wno-atomic-implicit-seq-cst',
                '-Wno-c99-extensions',
                '-Wno-cast-align',
                '-Wno-cast-qual',
                '-Wno-disabled-macro-expansion',
                '-Wno-documentation-unknown-command',
                '-Wno-double-promotion',
                '-Wno-float-conversion',
                '-Wno-float-equal',
                '-Wno-format-nonliteral',
                '-Wno-implicit-fallthrough',
                '-Wno-implicit-float-conversion',
                '-Wno-padded',
                '-Wno-redundant-parens',
                '-Wno-reserved-id-macro',
                '-Wno-shorten-64-to-32',
                '-Wno-sign-conversion',
                '-Wno-switch-enum',
                '-Wno-unused-macros',
                '-Wno-unused-parameter',
                '-Wno-vla',
            ],
            'gcc': [
                '-Wno-cast-align',
                '-Wno-cast-qual',
                '-Wno-conversion',
                '-Wno-double-promotion',
                '-Wno-float-conversion',
                '-Wno-float-equal',
                '-Wno-padded',
                '-Wno-pedantic',
                '-Wno-stack-protector',
                '-Wno-switch-enum',
                '-Wno-unused-macros',
                '-Wno-unused-parameter',
                '-Wno-vla',
            ],
        })

        autowaf.add_compiler_flags(conf.env, 'cxx', {
            'clang': [
                '-Wno-extra-semi-stmt',
                '-Wno-old-style-cast',
                '-Wno-weak-vtables',
                '-Wno-zero-as-null-pointer-constant',
            ],
            'gcc': [
                '-Wno-effc++',
            ],
        })

    conf.check_pkg('lv2 >= 1.17.2', uselib_store='LV2')
    conf.check_pkg('lilv-0 >= 0.24.0', uselib_store='LILV')
    conf.check_pkg('serd-0 >= 0.24.0', uselib_store='SERD')
    conf.check_pkg('sord-0 >= 0.14.0', uselib_store='SORD')
    conf.check_pkg('sratom-0 >= 0.6.0', uselib_store='SRATOM')
    if Options.options.portaudio:
        conf.check_pkg('portaudio-2.0 >= 2.0.0',
                       uselib_store='PORTAUDIO',
                       system=True,
                       mandatory=False)
    else:
        conf.check_pkg('jack >= 0.120.0',
                       uselib_store='JACK',
                       system=True)

    if not Options.options.no_gui and not Options.options.no_gtk:
        if not Options.options.no_gtk2:
            conf.check_pkg('gtk+-2.0 >= 2.18.0',
                           uselib_store='GTK2',
                           system=True,
                           mandatory=False)
        if not Options.options.no_gtkmm:
            conf.check_pkg('gtkmm-2.4 >= 2.20.0',
                           uselib_store='GTKMM2',
                           system=True,
                           mandatory=False)
        if not Options.options.no_gtk3:
            conf.check_pkg('gtk+-3.0 >= 3.0.0',
                           uselib_store='GTK3',
                           system=True,
                           mandatory=False)

    if not Options.options.no_gui and not Options.options.no_qt:
        if not Options.options.no_qt4:
            conf.check_pkg('QtGui >= 4.0.0',
                           uselib_store='QT4',
                           system=True,
                           mandatory=False)
            if conf.env.HAVE_QT4:
                if not conf.find_program('moc-qt4', var='MOC4',
                                         mandatory=False):
                    conf.find_program('moc', var='MOC4')

        if not Options.options.no_qt5:
            conf.check_pkg('Qt5Widgets >= 5.1.0',
                           uselib_store='QT5',
                           system=True,
                           mandatory=False)
            if conf.env.HAVE_QT5:
                if not conf.find_program('moc-qt5', var='MOC5',
                                         mandatory=False):
                    conf.find_program('moc', var='MOC5')

    have_gui = (conf.env.HAVE_GTK2 or
                conf.env.HAVE_GTKMM2 or
                conf.env.HAVE_GTK3 or
                conf.env.HAVE_QT4 or
                conf.env.HAVE_QT5)

    if have_gui:
        conf.check_pkg('suil-0 >= 0.10.0', uselib_store='SUIL')

    if conf.env.HAVE_JACK:
        conf.check_function(
            'c', 'jack_port_type_get_buffer_size',
            header_name = 'jack/jack.h',
            define_name = 'HAVE_JACK_PORT_TYPE_GET_BUFFER_SIZE',
            uselib      = 'JACK',
            return_type = 'size_t',
            arg_types   = 'jack_client_t*,const char*',
            mandatory   = False)

        conf.check_function('c', 'jack_set_property',
                            header_name = 'jack/metadata.h',
                            define_name = 'HAVE_JACK_METADATA',
                            uselib      = 'JACK',
                            return_type = 'int',
                            arg_types   = '''jack_client_t*,
                                             jack_uuid_t,
                                             const char*,
                                             const char*,
                                             const char*''',
                            mandatory   = False)

    defines = ['_POSIX_C_SOURCE=200809L']

    conf.check_function('c', 'isatty',
                        header_name = 'unistd.h',
                        defines     = defines,
                        define_name = 'HAVE_ISATTY',
                        return_type = 'int',
                        arg_types   = 'int',
                        mandatory   = False)

    conf.check_function('c', 'fileno',
                        header_name = 'stdio.h',
                        defines     = defines,
                        define_name = 'HAVE_FILENO',
                        return_type = 'int',
                        arg_types   = 'FILE*',
                        mandatory   = False)

    conf.check_function('c', 'mlock',
                        header_name = 'sys/mman.h',
                        defines     = defines,
                        define_name = 'HAVE_MLOCK',
                        return_type = 'int',
                        arg_types   = 'const void*,size_t',
                        mandatory   = False)

    conf.check_function('c', 'sigaction',
                        header_name = 'signal.h',
                        defines     = defines,
                        define_name = 'HAVE_SIGACTION',
                        return_type = 'int',
                        arg_types   = '''int,
                                         const struct sigaction*,
                                         struct sigaction*''',
                        mandatory   = False)

    conf.write_config_header('jalv_config.h', remove=False)

    autowaf.display_summary(
        conf,
        {'Backend': 'Jack' if conf.env.HAVE_JACK else 'PortAudio',
         'Jack metadata support': conf.is_defined('HAVE_JACK_METADATA'),
         'Gtk 2.0 support': bool(conf.env.HAVE_GTK2),
         'Gtk 3.0 support': bool(conf.env.HAVE_GTK3),
         'Gtkmm 2.0 support': bool(conf.env.HAVE_GTKMM2),
         'Qt 4.0 support': bool(conf.env.HAVE_QT4),
         'Qt 5.0 support': bool(conf.env.HAVE_QT5),
         'Color output': bool(conf.env.JALV_WITH_COLOR)})


def build(bld):
    libs   = 'LILV SUIL JACK SERD SORD SRATOM LV2 PORTAUDIO'
    source = '''
    src/control.c
    src/jalv.c
    src/log.c
    src/lv2_evbuf.c
    src/state.c
    src/symap.c
    src/worker.c
    src/zix/ring.c
    '''

    if bld.env.HAVE_JACK:
        source += 'src/jack.c'

        # Non-GUI internal JACK client library
        obj = bld(features     = 'c cshlib',
                  source       = source + ' src/jalv_console.c',
                  target       = 'jalv',
                  includes     = ['.', 'src'],
                  lib          = ['pthread'],
                  uselib       = libs,
                  install_path = '${LIBDIR}/jack')
        obj.env.cshlib_PATTERN = '%s.so'
    elif bld.env.HAVE_PORTAUDIO:
        source += 'src/portaudio.c'

    # Non-GUI version
    obj = bld(features     = 'c cprogram',
              source       = source + ' src/jalv_console.c',
              target       = 'jalv',
              includes     = ['.', 'src'],
              lib          = ['pthread'],
              uselib       = libs,
              install_path = '${BINDIR}')

    # Gtk2 version
    if bld.env.HAVE_GTK2:
        obj = bld(features     = 'c cprogram',
                  source       = source + ' src/jalv_gtk.c',
                  target       = 'jalv.gtk',
                  includes     = ['.', 'src'],
                  lib          = ['pthread', 'm'],
                  uselib       = libs + ' GTK2',
                  install_path = '${BINDIR}')

    # Gtk3 version
    if bld.env.HAVE_GTK3:
        obj = bld(features     = 'c cprogram',
                  source       = source + ' src/jalv_gtk.c',
                  target       = 'jalv.gtk3',
                  includes     = ['.', 'src'],
                  lib          = ['pthread', 'm'],
                  uselib       = libs + ' GTK3',
                  install_path = '${BINDIR}')

    # Gtkmm version
    if bld.env.HAVE_GTKMM2:
        obj = bld(features     = 'c cxx cxxprogram',
                  source       = source + ' src/jalv_gtkmm2.cpp',
                  target       = 'jalv.gtkmm',
                  includes     = ['.', 'src'],
                  lib          = ['pthread'],
                  uselib       = libs + ' GTKMM2',
                  install_path = '${BINDIR}')

    # Qt4 version
    if bld.env.HAVE_QT4:
        obj = bld(rule = '${MOC4} ${SRC} > ${TGT}',
                  source = 'src/jalv_qt.cpp',
                  target = 'jalv_qt4_meta.hpp')
        obj = bld(features     = 'c cxx cxxprogram',

=== debian/changelog ===
jalv (1.6.6-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/gbp.conf: Fix compression

  [ Dennis Braun ]
  * New upstream version 1.6.6
  * Add d/upstream/signing-key.asc
  * Add opts="pgpmode=auto" to d/watch
  * Add /d/upstream/metadata
  * Add me as uploader
  * Bump dh-compat to 13
  * Bump S-V to 4.5.1
  * Set RRR: no
  * Remove obsolete LDFLAGS from d/rules

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 17 Jan 2021 22:13:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libgtk-3-dev,
  libjack-dev,
  liblilv-dev (>= 0.24.0~),
@@ -20,10 +21,11 @@
  lv2-dev (>= 1.16.0~),
  pkg-config,
  python3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://drobilla.net/software/jalv/
 Vcs-Git: https://salsa.debian.org/multimedia-team/jalv.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/jalv
+Rules-Requires-Root: no
 
 Package: jalv
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-export LINKFLAGS += $(LDFLAGS)
 export QT_SELECT := qt5
 export CC
 export PKGCONFIG = $(PKG_CONFIG)

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://download.drobilla.net/jalv-(.*)\.tar\.bz2

## jalv 1.6.8

=== meson_options.txt ===
option('checks', type: 'boolean', value: true, yield: true,
       description: 'Check for features with the build system')

option('cxx', type: 'feature', value: 'auto', yield: true,
       description: 'Build C++ programs')

option('gtk2', type: 'feature', value: 'auto', yield: true,
       description: 'Build Gtk2 GUI')

option('gtk3', type: 'feature', value: 'auto', yield: true,
       description: 'Build Gtk3 GUI')

option('portaudio', type: 'feature', value: 'auto', yield: true,
       description: 'Build PortAudio driver')

option('jack', type: 'feature', value: 'auto', yield: true,
       description: 'Build JACK driver')

option('posix', type: 'feature', value: 'auto', yield: true,
       description: 'Use POSIX system facilities')

option('qt5', type: 'feature', value: 'auto', yield: true,
       description: 'Build Qt5 GUI')

option('strict', type: 'boolean', value: false, yield: true,
       description: 'Enable ultra-strict warnings')

option('suil', type: 'feature', value: 'auto', yield: true,
       description: 'Use suil to load plugin UIs')

option('title', type: 'string', value: 'Jalv',
       description: 'Project title')

option('tests', type: 'feature', value: 'auto', yield: true,
       description: 'Build tests')

=== debian/changelog ===
jalv (1.6.8-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:56:57 +1100

jalv (1.6.8-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:38:47 +0000

jalv (1.6.8-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:11:56 +0000

jalv (1.6.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove constraints unnecessary since buster (oldstable)

  [ Dennis Braun ]
  * New upstream version 1.6.8
  * Build with meson
  * Refresh patchset, drop obsolete patches and/or applied by upstream
    and add patch to fix the meson build with fpic flag
  * d/control:
    + Bump Standards Version to 4.6.2
    + Refresh B-Ds and versions of B-Ds
    + Prefer libjack-dev over libjack-jackd2-dev
    + Update homepage URL
    + Change my email address
  * d/copyright: Remove waf entry and BSD license, and update copyright year
  * d/gbp.conf: Remove wrong compression
  * Format patch with gbp pq
  * Remove obsolete d/source/local-options
  * Add salsa ci config
  * d/watch: Use @ANY_VERSION@ and @ARCHIVE_EXT@

 -- Dennis Braun <snd@debian.org>  Thu, 10 Aug 2023 18:16:01 +0200

=== debian/control ===
Source: jalv
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <snd@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libgtk-3-dev,
 libjack-dev | libjack-jackd2-dev,
 liblilv-dev,
 meson,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libserd-dev (>= 0.30.0~),
 libsord-dev,
 libsratom-dev (>= 0.6.4),
 libsuil-dev (>= 0.10.0),
 lv2-dev (>= 1.18.0~),
 pkg-config
Standards-Version: 4.6.2
Homepage: https://drobilla.net/software/jalv.html
Vcs-Git: https://salsa.debian.org/multimedia-team/jalv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jalv
Rules-Requires-Root: no

Package: jalv
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: tool to run LV2 plugins as stand-alone applications
 jalv is a stand-alone version of lv2jack that supports plugin UIs
 via libsuil. It allows one to run an LV2 plugin as a JACK application.
 .
 This package contains a replacement for the lv2jack utility, which was
 previously provided by the lilv-utils package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT := qt5
export CC
export PKGCONFIG = $(PKG_CONFIG)

CONFIG += strict

%:
	dh $@ --buildsystem=meson

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## jalv 1.8.0

=== debian/changelog ===
jalv (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Build with Qt6
  * pkg-config -> pkgconf
  * Update d/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove redudant rules-requires-root-no field
  * Drop meson build fix patch, applied by upstream
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Fri, 05 Dec 2025 22:55:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: jalv
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
@@ -14,20 +13,19 @@
  libjack-dev | libjack-jackd2-dev,
  liblilv-dev,
  meson,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
+ qt6-base-dev,
+ qt6-tools-dev,
+ qt6-tools-dev-tools,
  libserd-dev (>= 0.30.0~),
  libsord-dev,
  libsratom-dev (>= 0.6.4),
  libsuil-dev (>= 0.10.0),
  lv2-dev (>= 1.18.0~),
- pkg-config
-Standards-Version: 4.6.2
+ pkgconf
+Standards-Version: 4.7.2
 Homepage: https://drobilla.net/software/jalv.html
 Vcs-Git: https://salsa.debian.org/multimedia-team/jalv.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/jalv
-Rules-Requires-Root: no
 
 Package: jalv
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export QT_SELECT := qt5
 export CC
 export PKGCONFIG = $(PKG_CONFIG)
